<?php
/**
 * Plugin Name: Restaurant Menu - Sample Gateway
 * Plugin URI: http://www.getmotopress.com
 * Description: A sample gateway for Restaurant Menu
 * Version: 1.0.0
 * Author: MotoPress
 * Author URI: http://www.getmotopress.com
 * License: GPLv2 or later
 * Text Domain: mprm-sample-gateway
 * Domain Path: /languages
 */

add_action('plugins_loaded', array('MPRM_Sample_gateway', 'init'));

/**
 * Class MPRM_Sample_gateway
 */
class MPRM_Sample_gateway {
	
	protected static $instance;
	
	/**
	 * Mp_Sample_gateway constructor.
	 */
	public function __construct() {
		$this->include_files();
		Sample_Gateway::get_instance()->init_action();
	}
	
	public function include_files() {
		include("classes/sample_gateway.class.php");
	}
	
	/**
	 * @return MPRM_Sample_gateway
	 */
	public static function init() {
		if (null === self::$instance) {
			self::$instance = new self();
		}
		
		return self::$instance;
	}
	
}